# WEB


----------
### Tutorial: Einfach
#### Einrichtung
1. Git
	- Herunterladen von [Git](https://git-scm.com/download/win)
	- Git installieren (Kontextmenüeinträge auch installieren)
2. GitConfig
	- Herunterladen der [GitConfig.bat](http://kai.truenoobs.de/GitConfig.bat)
	- GitConfig.bat ausführen
3. Repository herunterladen
	- In das Verzeichnis navigieren, wo das Repository herunterladen werden soll
	- Rechtsklick in den Ordner --> ``Git Bash here``
	- ``git clone https://git.truenoobs.de/Hochschule/WEB.git`` eingeben und mit Enter bestätigen
4. Updates herunterladen
	- im Verzeichnis ``Herunterladen.bat`` ausführen
5. Updates hochladen
	- im VVerzeichnis ``Hochladen.bat`` ausführen


### Tutorial: Fortgeschritten
#### Projekt in den Client "klonen"
 1. Wunschordner im Explorer öffnen (bsp: ``C://Users/$username/Documents/GitLab/``)
 2. Rechtsklick in Ordner -> "Git Bash"
 3. ``git clone https://git.truenoobs.de/$username/$projektname``
 4. (``cd $projektname`` eingeben und mit Enter bestätigen)


#### Veränderungen runterladen
 1. Wunschordner im Explorer öffnen (bsp: ``C://Users/$username/Documents/GitLab/$projektname``)
 2. Rechtsklick in Ordner -> "Git Bash"
 3. ``git pull``


#### Veränderungen hochladen
 1. Wunschordner im Explorer öffnen (bsp: ``C://Users/$username/Documents/GitLab/$projektname``)
 2. Rechtsklick in Ordner -> "Git Bash"
 3. ``git add .`` (Änderungen erkennen)
 4. ``git commit -m "$beschreibung_der_Veränderung"`` (Änderungen bestätigen)
 5. ``git push`` (Änderungen hochladen)

#### Hinweis
- Möglichst regelmäßig ``git pull`` ausführen, speziell, wenn man anfängt, an dem Projekt weiter zu arbeiten! Passiert das nicht, kann sich der Inhalt des Repositories ändern, sodass die lokalen Daten nicht mehr aktuell sind.